# Uses of Class
net.shibboleth.idp.attribute.resolver.ad.mapped.impl.SourceValue

Packages that use SourceValue
Package
Description
net.shibboleth.idp.attribute.resolver.ad.mapped.impl
A `DataConnector` implementation that maps from a given set of source value to an output value.
net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl
Contains the parsers for the `MappedAttributeDefinition` and its child elements.

## Uses of SourceValue in net.shibboleth.idp.attribute.resolver.ad.mapped.impl

Fields in net.shibboleth.idp.attribute.resolver.ad.mapped.impl with type parameters of type SourceValue
Modifier and Type
Field
Description
`private Collection<SourceValue>`
ValueMap.`sourceValues`
Source values.
Methods in net.shibboleth.idp.attribute.resolver.ad.mapped.impl that return types with arguments of type SourceValue
Modifier and Type
Method
Description
`Collection<SourceValue>`
ValueMap.`getSourceValues()`
Gets the collection of source values.
Method parameters in net.shibboleth.idp.attribute.resolver.ad.mapped.impl with type arguments of type SourceValue
Modifier and Type
Method
Description
`void`
ValueMap.`setSourceValues(Collection<SourceValue> newValues)`
Sets the Source values for the mapping.

## Uses of SourceValue in net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl

Methods in net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl that return types with arguments of type SourceValue
Modifier and Type
Method
Description
`protected Class<SourceValue>`
SourceValueParser.`getBeanClass(Element element)`